victoria-metrics-operator:
  operator:
    disable_prometheus_converter: false
    enable_converter_ownership: true
    psp_auto_creation_enabled: false
  rbac:
    pspEnabled: false
  image:
    tag: master

# -- Configures vmsingle params
vmsingle:
  enabled: false

alertmanager:
  enabled: true
  config:
    global:
      slack_api_url: ""
    route:
      group_by: [ "alertgroup", "job" ]
      group_wait: 30s
      group_interval: 5m
      repeat_interval: 1h
      receiver: "telegram"
      routes: []
    receivers: null
#      - name: "telegram"
#        telegram_configs:
#          - bot_token: "123456:nope"
#            chat_id: -4445454

vmcluster:
  enabled: true
  spec:
    retentionPeriod: "6w"
    replicationFactor: 2
    vmstorage:
      replicaCount: 2
      storage:
        volumeClaimTemplate:
          spec:
            storageClassName: zfs
            accessModes: [ ReadWriteOnce ]
            resources:
              requests:
                storage: 50Gi
      resources:
        limits:
          cpu: 4
          memory: 4Gi
        requests:
          cpu: 500m
          memory: 1Gi
    vmselect:
      replicaCount: 2
      storage:
        volumeClaimTemplate:
          spec:
            storageClassName: zfs
            accessModes: [ ReadWriteOnce ]
            resources:
              requests:
                storage: 2Gi
      resources:
        limits:
          cpu: "1"
          memory: 2Gi
        requests:
          cpu: 100m
          memory: 512Mi
    vminsert:
      replicaCount: 2
      resources:
        limits:
          cpu: "1"
          memory: "1Gi"
        requests:
          cpu: "100m"
          memory: 256Mi

vmagent:
  enabled: true
  spec:
    resources:
      requests:
        cpu: "1"
        memory: 128Mi
      limits:
        cpu: "6"
        memory: 1Gi



#################################################
###              dependencies               #####
#################################################
# Grafana dependency chart configuration. For possible values refer to https://github.com/grafana/helm-charts/tree/main/charts/grafana#configuration
grafana:
  grafana.ini:
    server:
      root_url: https://grafana.mikesweb.site
    unified_alerting:
      enabled: false
    alerting:
      enabled: true
    external_image_storage:
      provider: s3
    external_image_storage.s3:
      path_style_access: true
      bucket: grafana
      region: "default"
      access_key: grafana
      secret_key: nonono
      endpoint: s3.mikesweb.site
    rendering:
      server_url: http://victoria-grafana-image-renderer.monitoring.svc.cluster.local:8081
    smtp:
      enabled: true
      host: mail.mikesweb.site:465
      user: no-reply@mikesweb.site
      from_address: no-reply@mikesweb.site
      from_name: Grafana
    database:
      type: postgres
      name: grafana
      user: grafana
      password: nonono
      host: feelz-postgres.db.svc.cluster.local:5432
      ssl_mode: require
  enabled: true
  sidecar:
    datasources:
      jsonData:
        manageAlerts: false
  dashboards:
    default:
      nodeexporter:
        gnetId: 1860
        revision: 22
        datasource: VictoriaMetrics

  defaultDashboardsEnabled: true

  ingress:
    enabled: true
    annotations:
      kubernetes.io/ingress.class: traefik
      kubernetes.io/tls-acme: "true"
      cert-manager.io/cluster-issuer: cloudflare
    path: /
    pathType: Prefix
    hosts:
      - grafana.mikesweb.site
    tls:
      - secretName: grafana-ingress-tls
        hosts:
          - grafana.mikesweb.site

  persistence:
    enabled: false
    inMemory:
      enabled: true

  admin:
    existingSecret: grafana-auth
    userKey: admin-user
    passwordKey: admin-password

  imageRenderer:
    networkPolicy:
      limitIngress: false
    # Enable the image-renderer deployment & service
    enabled: true
    resources:
      limits:
        cpu: "2"
        memory: 512Mi
      requests:
        cpu: 50m
        memory: 50Mi
  rbac:
    pspEnabled: false

prometheus-node-exporter:
  rbac:
    pspEnabled: false


# Drop the obnoxious number of kubevirt labels along with some others
kubelet:
  spec:
    relabelConfigs:
      - action: labeldrop
        regex: .*kubevirt.io.*
      - action: labeldrop
        regex: .*linbit.com.*
      - action: labeldrop
        regex: .*openebs.io.*
      - action: labeldrop
        regex: .*coreos.com.*
      - action: labeldrop
        regex: .*k3s.io.*
      - action: labeldrop
        regex: .*cattle.io.*

      # defaults
      - action: labelmap
        regex: __meta_kubernetes_node_label_(.+)
      - sourceLabels: [__metrics_path__]
        targetLabel: metrics_path
      - targetLabel: "job"
        replacement: "kubelet"